#! /bin/sh
#
# rlm Start/Stop rlm
#
#----------------------------------------------------------------
#----------------------------------------------------------------
#----------------------------------------------------------------
# NOTE:
# NOTE: Configure these 5 variables for your system
# NOTE:
# Set rlmuser to the user under which rlm will run
rlmuser=rlm
# Set rlmdir to the directory where the rlm binary is found
rlmdir=/opt/rlm
# Set rlmdir to the directory where the rlmdown binary is found
rlmdowndir=$rlmdir
# Set licfile to the path to the license file
licfile=$rlmdir/astah.lic
# Set debuglog to the path to the debug log
debuglog=+$rlmdir/rlm.dlog
#----------------------------------------------------------------
#----------------------------------------------------------------
#----------------------------------------------------------------
start() {
  echo $debuglog
  su - $rlmuser -c "$rlmdir/rlm -c $licfile -dlog $debuglog &"
}
stop() {
  su - $rlmuser -c "$rlmdowndir/rlmutil rlmdown RLM -c $licfile -q"
}
case "$1" in
  start)
    start
    ;;
  stop)
    stop
    ;;
  restart)
    stop
    sleep 2
    start
    ;;
  *)
    echo $"Usage: $0 {start|stop|restart}"
    exit 1
esac
exit 0
